Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.event.actions
Class Action

    java.lang.Object
      |
      +--weblogic.common.internal.RemoteEntryPoint
            |
            +--weblogic.event.actions.Action

public class Action
extends weblogic.common.internal.RemoteEntryPoint

The Action class provides constructors for an Action object, used as an argument for the EventRegistration constructor. An Action object provides information about an action to be taken when an event evaluation returns true.

An Action object can be constructed with the full package name of a server-side object that is to be executed when an event evaluates to true. The class name is used to construct it is a user-written class that implements the interface weblogic.event.actions.ActionDef.

An Action object can also be constructed with an Object, for client-side notification.

Author:
  Copyright (c) 1996, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `EventServicesDef`, `EventRegistrationDef`, `ActionDef`, Serialized Form

Fields inherited from class weblogic.common.internal.RemoteEntryPoint
`className, params, theObject`

Constructor Summary
`Action()`
`Action(java.lang.Object o)` Constructs an Action with the specified object and set of parameters.
`Action(java.lang.Object o, ParamSet ps)` Constructs an Action with the specified object and set of parameters.
`Action(java.lang.String entry)` Constructs an Action with the specified user-written class name.
`Action(java.lang.String entry, ParamSet ps)` Constructs an Action with the specified user-written class name and set of parameters.
`Action(T3Client t3, java.lang.String entry, ParamSet ps)` Constructs an Action with the specified T3Client, user-written class name, and set of parameters.

Methods inherited from class weblogic.common.internal.RemoteEntryPoint
`className, destroy, equals, getName, getParamSet, getT3, initialize, newInstance, params, readExternal, theObject, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Action

    public Action()

### Action

    public Action(java.lang.Object o,
                  ParamSet ps)

  Constructs an Action with the specified object and set of parameters. This constructor is used on the server to hold the event definition, and on the client to specify client-side action.

  Parameters:
    `o` - Object
    `ps` - ParamSet object

### Action

    public Action(java.lang.Object o)

  Constructs an Action with the specified object and set of parameters. This constructor is used on the server to hold the event definition, and on the client to specify client-side action.

  Parameters:
    `o` - Object

### Action

    public Action(T3Client t3,
                  java.lang.String entry,
                  ParamSet ps)

  Constructs an Action with the specified T3Client, user-written class name, and set of parameters. The user-written class implements weblogic.event.actions.ActionDef.

  Parameters:
    `t3` - T3Client
    `entry` - Name of user-written class
    `ps` - ParamSet object
  See Also:
    `ActionDef`

### Action

    public Action(java.lang.String entry,
                  ParamSet ps)

  Constructs an Action with the specified user-written class name and set of parameters. The user-written class implements weblogic.event.actions.ActionDef.

  Parameters:
    `entry` - Name of user-written class
    `ps` - ParamSet object
  See Also:
    `ActionDef`

### Action

    public Action(java.lang.String entry)

  Constructs an Action with the specified user-written class name. The user-written class implements weblogic.event.actions.ActionDef.

  Parameters:
    `entry` - Name of user-written class
  See Also:
    `ActionDef`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD